Ticket #2717 (closed enhancement: fixed)

Opened 9 years ago

Last modified 8 years ago

管理画面で複数の書き込みを一括削除する機能

Reported by: pnetan Assigned to: fukamachi
Priority: minor Milestone: OpenPNE2.13.8
Component: pne-admin Version:
Keywords: Cc:

Description (Last modified by kudo)

■概要

複数の書き込み、コミュニティを一括削除する機能を追加したい。

■仕様

■関連情報

元のdescription

http://sns.openpne.jp/?m=pc&a=page_fh_diary&target_c_diary_id=17541 より転記

コミュニティのトピックやトピックのコメントを
100件以上スクリプトで投稿されても
1件づつ削除ボタンで消していくしかないのはかなりつらいです

せめてチェックボックスで一斉削除できなければ
と思いますが

Attachments

2717_admin_page_diary_list.png (33.8 kB) - added by kiwa on 03/23/09 11:48:01.
日記一覧のUI変更
2717_admin_page_delete_diary.png (24.6 kB) - added by kiwa on 03/23/09 11:48:52.
日記削除確認のUI変更

Change History

02/27/09 14:47:13 changed by kiwa

  • milestone set to OpenPNE2.14.0.

03/23/09 11:41:47 changed by fukamachi

  • owner changed from nobody to fukamachi.
  • status changed from new to assigned.

深町です。 初めてですが、私がつくります。

03/23/09 11:48:01 changed by kiwa

  • attachment 2717_admin_page_diary_list.png added.

日記一覧のUI変更

03/23/09 11:48:52 changed by kiwa

  • attachment 2717_admin_page_delete_diary.png added.

日記削除確認のUI変更

03/23/09 11:53:21 changed by kiwa

↓下のような感じでお願いします。

日記リスト

日記一覧のUI変更
チェックボックス・一括削除ボタンを追加。

※ ページャをまたいだ場合、チェックした内容は保持しないでいいです

日記削除確認

日記削除確認のUI変更
選択した日記を一覧表示できるように変更。


また、日記以外の監視機能にも同様の変更をお願いします。

変更機能

  • 日記管理
  • 日記コメント管理
  • コミュニティ管理
  • トピック・イベント管理
  • トピック・イベントのコメント管理
  • レビュー管理
  • アルバム管理
  • アルバム写真管理

03/24/09 19:58:07 changed by fukamachi

  • keywords changed from 2.13要望 to 2.13要望 確認中.
  • milestone changed from OpenPNE2.14.0 to OpenPNE2.13.8.

04/28/09 12:06:29 changed by nagasawa

  • keywords changed from 2.13要望 確認中 to 2.13要望 差し戻し.

マージしてください

04/28/09 14:12:27 changed by fukamachi

r11511で、必要なファイルだけをまとめました。

http://trac.openpne.jp/browser/OpenPNE/branches/work/fukamachi/select_delete

04/28/09 14:38:27 changed by fukamachi

  • keywords changed from 2.13要望 差し戻し to 2.13要望 確認中.

r11513で開発版にマージしました。

(follow-up: ↓ 9 ) 04/28/09 15:35:08 changed by nagasawa

  • keywords changed from 2.13要望 確認中 to 2.13要望 差し戻し.

ハードタブ、インデントがずれています。

(in reply to: ↑ 8 ) 04/28/09 18:17:00 changed by fukamachi

  • keywords changed from 2.13要望 差し戻し to 2.13要望 確認中.

Replying to nagasawa:

ハードタブ、インデントがずれています。

r11519で、タブを半角スペースに変換しました。
また、空行に半角スペースが入っていたのでr11520で削除しました。

(follow-up: ↓ 11 ) 04/30/09 12:12:09 changed by kudo

  • keywords changed from 2.13要望 確認中 to 2.13要望 差し戻し.
  • 日記管理
  • 日記コメント管理
  • コミュニティ管理
  • トピック・イベント管理
  • トピック・イベントのコメント管理
  • レビュー管理
  • アルバム管理

の動作は確認しましたが、

  • アルバム写真管理

同じアルバムの中の写真を複数選択し、削除の確認ボタンを押した後にWarningが表示される。

警告内容

( ! ) Warning: Missing argument 2 for db_album_delete_c_album_image(), called in /hogehoge/webapp/modules/admin/do/delete_c_album_image_selected.php on line 27 and defined in /hogehoge/webapp/lib/db/album.php on line 547 
Call Stack 
# Time Memory Function Location 
1 0.0002 47504 {main}( ) ../index.php:0 
2 0.0279 743860 openpne_execute( ) ../index.php:10 
3 0.0280 743896 openpne_forward( ) ../controller.php:45 
4 0.0380 828900 admin_do_delete_c_album_image_selected->execute( ) ../controller.php:210 
5 0.0403 831408 db_album_delete_c_album_image( ) ../delete_c_album_image_selected.php:27 

( ! ) Warning: Missing argument 2 for db_album_delete_c_album_image(), called in /hogehoge/webapp/modules/admin/do/delete_c_album_image_selected.php on line 27 and defined in /hogehoge/webapp/lib/db/album.php on line 547 
Call Stack 
# Time Memory Function Location 
1 0.0002 47504 {main}( ) ../index.php:0 
2 0.0279 743860 openpne_execute( ) ../index.php:10 
3 0.0280 743896 openpne_forward( ) ../controller.php:45 
4 0.0380 828900 admin_do_delete_c_album_image_selected->execute( ) ../controller.php:210 
5 0.0504 893344 db_album_delete_c_album_image( ) ../delete_c_album_image_selected.php:27 

( ! ) Warning: Cannot modify header information - headers already sent by (output started at /hogehoge/webapp/lib/db/album.php:547) in /hogehoge/webapp/lib/util/util.php on line 34 
Call Stack 
# Time Memory Function Location 
1 0.0002 47504 {main}( ) ../index.php:0 
2 0.0279 743860 openpne_execute( ) ../index.php:10 
3 0.0280 743896 openpne_forward( ) ../controller.php:45 
4 0.0380 828900 admin_do_delete_c_album_image_selected->execute( ) ../controller.php:210 
5 0.0576 893724 admin_client_redirect( ) ../delete_c_album_image_selected.php:30 
6 0.0577 893924 client_redirect_absolute( ) ../etc_admin.php:89 
7 0.0578 894336 header ( ) ../util.php:34 

(in reply to: ↑ 10 ) 04/30/09 13:59:49 changed by fukamachi

  • keywords changed from 2.13要望 差し戻し to 2.13要望 確認中.

Replying to kudo:

引数の不十分な箇所があったので、r11542で修正しました。
アルバム画像の削除には以下の関数を使っており、2つ目のメンバーIDを引数に指定しなかったことが原因でした。

// webapp/lib/db/album.php
547  function db_album_delete_c_album_image($c_album_image_id, $c_member_id)

自分のミスで申し訳ないです。

04/30/09 14:25:12 changed by kudo

  • keywords changed from 2.13要望 確認中 to 2.13.
  • status changed from assigned to closed.
  • resolution set to fixed.

動作テストしました。問題が無いので閉じます。

04/30/09 14:52:42 changed by kudo

#3895:監視機能で複数の書き込みを一括削除する機能 コードチェック

コードチェックは上のチケットで行います。

05/25/09 10:52:13 changed by kudo

  • keywords deleted.
  • description changed.

07/15/09 13:27:44 changed by imamura623

  • summary changed from 監視機能で複数の書き込みを一括削除する機能 to 管理画面で複数の書き込みを一括削除する機能.